package com.anagog.anagog_flutter.plugin_utils
import android.content.res.AssetManager

object PluginUtils {
    fun readJsonFile(assets: AssetManager, fileName: String) : String {
        val `is` = assets.open("${fileName}.json")
        val size = `is`.available()
        val buffer = ByteArray(size)
        `is`.read(buffer)
        `is`.close()
        return String(buffer)
    }

    fun preparePluginMessage(action: String, payload: Any) : Map<String, Any>{
        val message = mutableMapOf<String, Any>()
        message["action"] = action
        message["payload"] = payload
        return message
    }
}

