#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint anagog_flutter.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'anagog_flutter'
  s.version          = '0.0.5'
  s.summary          = 'Anagog SDK Flutter'
  s.homepage         = 'https://www.anagog.com'
  s.license          = { :type => 'Commercial', :file => '../LICENSE' }
  s.author           = 'Anagog Ltd'
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.dependency 'JedAI', '~> 5.16.1'
  s.dependency 'JedAI/JEMA', '~> 5.16.1'
  s.dependency 'JedAI/UI', '~> 5.16.1'
  s.platform = :ios, '11.0'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.0'
end
