package com.anagog.anagog_flutter.app_initializer

import android.content.Context
import android.util.Log
import androidx.startup.Initializer
import com.anagog.anagog_flutter.AnagogFlutterPlugin
import com.anagog.anagog_flutter.jedai_sdk.JemaWrapper
import com.anagog.jedai.core.logger.JedAILogger

private const val TAG = "PluginInitializer"
class FlutterPluginInitializer : Initializer<JemaWrapper> {
    val sLogger: JedAILogger = JedAILogger.getLogger(AnagogFlutterPlugin::class.java)

    override fun create(context: Context) : JemaWrapper {
        Log.i(TAG, "create: ")
        JemaWrapper.setup(context)
        return JemaWrapper
    }

    override fun dependencies(): List<Class<out Initializer<*>>> {
        return emptyList()
    }
}